cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
206
Views
0
Helpful
5
Replies

NETCONF support in IOS version 15.2(6)

SameerChouksey
Beginner
Beginner

Hello everyone,

 

I am using IE 4000 switch which is running on IOS version 15.2(6)E2a. 

 

I am trying to enable NETCONF on my switch and when I check the Cisco developer website which contains the list of IOS versions which support NETCONF, I see IOS-XE, IOS-XR and NX. This is the link: https://developer.cisco.com/site/standard-network-devices/

 

As I mentioned my device is running on IOS version 15.2(6)E2a, under which IOS category does it fall and does it support NETCONF??

 

If yes, please help me understand how I can enable it. I have tried a few things based on my google findings but it doesn't help. It will be great if you can point me to the right documentation. 

 

PS: device details: Cisco IOS Software, IE4000 Software (IE4000-UNIVERSALK9-M), Version 15.2(6)E2a

 

Thanks,

Sameer 

1 Accepted Solution

Accepted Solutions

Leo Laohoo
VIP Community Legend VIP Community Legend
VIP Community Legend

The IOS for IE4k is the same "cut" as the IOS for 2960X, 3560CX.  

It will not support NETCONF.

View solution in original post

5 Replies 5

Flavio Miranda
Advisor
Advisor

Hi

  Netconf was intruduced in IOS-XE version 16.3  To enable it is pretty simple:

netconf-yang

 

Your switch does not support and you can check it on the Data sheet.

https://www.cisco.com/c/en/us/products/collateral/switches/industrial-ethernet-4000-series-switches/datasheet-c78-733058.html 

Thanks for the quick response Miranda. 

 

Is it possible to upgrade the IOS to the IOS-XE version 16.3 or later?? 

 

Does IE4000 supports IOS-XE version 16.3 or later ??

 

Thanks,

Sameer 

 Unfortunatelly you can´t.  When the protocol is supported it is shown on the Datasheet.  But, on this case, this switch is also End of Life.

https://www.cisco.com/c/en/us/products/collateral/cloud-systems-management/iox/eos-eol-notice-c51-743870.html 

 

 

 

latest release.JPG

Leo Laohoo
VIP Community Legend VIP Community Legend
VIP Community Legend

The IOS for IE4k is the same "cut" as the IOS for 2960X, 3560CX.  

It will not support NETCONF.

Thanks for confirming!

 

 

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers